MuleReceiverServlet (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.servlet.MuleReceiverServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet
Class MuleReceiverServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mule.transport.servlet.AbstractReceiverServlet
                  org.mule.transport.servlet.MuleReceiverServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  JettyReceiverServlet, MuleRESTReceiverServlet

    public class MuleReceiverServlet

extends AbstractReceiverServlet

Receives Http requests via a Servlet and routes them to listeners with servlet:// endpoints

There needs to be a ServletConnector configured on the Mule Server, this connector must have the servletUrl property set that matches the Url for the container that this Servlet is hosted in, i.e. something like http://192.168.10.21:8888

See Also:
  Serialized Form

Field Summary
`protected ServletConnector` | `connector`

Fields inherited from class org.mule.transport.servlet.AbstractReceiverServlet
`DEFAULT_CONTENT_TYPE_PROPERTY, DEFAULT_GET_TIMEOUT, DEFAULT_PAYLOAD_PARAMETER_NAME, defaultContentType, feedback, FEEDBACK_PROPERTY, logger, PAYLOAD_PARAMETER_NAME, payloadParameterName, REQUEST_TIMEOUT_PROPERTY, SERVLET_CONNECTOR_NAME_PROPERTY, timeout`

Constructor Summary
`MuleReceiverServlet()`

Method Summary
`protected void` | `doConnect(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doDelete(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doHead(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doInit(ServletConfig servletConfig)`
`protected MuleMessage` | `doMethod(HttpServletRequest request, String method)`
`protected void` | `doOptions(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doPost(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doPut(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doTrace(HttpServletRequest request, HttpServletResponse response)`
`protected MessageReceiver` | `getReceiverForURI(HttpServletRequest httpServletRequest)`
`protected String` | `getReceiverName(HttpServletRequest httpServletRequest)`
`protected Map` | `getReceivers()`
`protected String` | `getRequestUrl(HttpServletRequest httpServletRequest)`
`protected MuleMessage` | `routeMessage(MessageReceiver receiver, MuleMessage requestMessage, HttpServletRequest request)`
`protected void` | `setupRequestMessage(HttpServletRequest request, MuleMessage requestMessage)`
`protected void` | `setupRequestMessage(HttpServletRequest request, MuleMessage requestMessage, MessageReceiver receiver)`

Methods inherited from class org.mule.transport.servlet.AbstractReceiverServlet
`doInit, handleException, init, init, setHttpHeadersOnServletResponse, writeResponse`

Methods inherited from class javax.servlet.http.HttpServlet
`getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connector

    protected ServletConnector connector

Constructor Detail

### MuleReceiverServlet

    public MuleReceiverServlet()

Method Detail

### doInit

    protected void doInit(ServletConfig servletConfig)
                   throws ServletException

  Overrides:
    `doInit` in class `AbstractReceiverServlet`
  Throws:
    `ServletException`

### doHead

    protected void doHead(HttpServletRequest request,
                          HttpServletResponse response)
                   throws ServletException,
                          IOException

  Overrides:
    `doHead` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doGet

    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### setupRequestMessage

    protected void setupRequestMessage(HttpServletRequest request,
                                       MuleMessage requestMessage,
                                       MessageReceiver receiver)

### setupRequestMessage

    protected void setupRequestMessage(HttpServletRequest request,
                                       MuleMessage requestMessage)

### doPost

    protected void doPost(HttpServletRequest request,
                          HttpServletResponse response)
                   throws ServletException,
                          IOException

  Overrides:
    `doPost` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doMethod

    protected MuleMessage doMethod(HttpServletRequest request,
                                   String method)
                            throws MuleException

  Throws:
    `MuleException`

### routeMessage

    protected MuleMessage routeMessage(MessageReceiver receiver,
                                       MuleMessage requestMessage,
                                       HttpServletRequest request)
                                throws MuleException

  Throws:
    `MuleException`

### doOptions

    protected void doOptions(HttpServletRequest request,
                             HttpServletResponse response)
                      throws ServletException,
                             IOException

  Overrides:
    `doOptions` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doPut

    protected void doPut(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         IOException

  Overrides:
    `doPut` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doDelete

    protected void doDelete(HttpServletRequest request,
                            HttpServletResponse response)
                     throws ServletException,
                            IOException

  Overrides:
    `doDelete` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doTrace

    protected void doTrace(HttpServletRequest request,
                           HttpServletResponse response)
                    throws ServletException,
                           IOException

  Overrides:
    `doTrace` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doConnect

    protected void doConnect(HttpServletRequest request,
                             HttpServletResponse response)
                      throws ServletException,
                             IOException

  Throws:
    `ServletException`
    `IOException`

### getReceiverForURI

    protected MessageReceiver getReceiverForURI(HttpServletRequest httpServletRequest)
                                         throws EndpointException

  Throws:
    `EndpointException`

### getRequestUrl

    protected String getRequestUrl(HttpServletRequest httpServletRequest)

### getReceiverName

    protected String getReceiverName(HttpServletRequest httpServletRequest)

### getReceivers

    protected Map getReceivers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.